New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Missing PHP packages when installing on Debian 9 #549

Open
jacubillo opened this Issue May 3, 2018 · 2 comments

Comments

Projects
None yet
4 participants
@jacubillo

jacubillo commented May 3, 2018

Bug

Summary

Installed froxlor as per wiki instructions on Debian 9 stretch:
apt-get install froxlor -y

When entering the web-install and checking requirements, the following packages where not installed>
php-xml
php-posix
php-mbstring
php-bcmath
php-zip

After a simple apt-get install the requirements site was ok to continue froxlor install.

Don't know if they should be added to the groupinstall "froxlor" to avoid this.

PS. First time making a bug report. Sorry if this is not required or the proper way to do so.

@jeensg

This comment has been minimized.

jeensg commented Nov 1, 2018

Just want to add 2 cents, since I ran into these problems with install from repo too:

  • php-mysql, php-xml and php-mbstring are absolutely necessary for correct functionality of frontend -- mysql for database-connection, mbstring and xml for either configuration page and/or for creating an account from an emailaddress
  • php-posix doesn't exist any more, is included in php-common!?
  • didn't see anything till right now where php-bcmath and php-zip are necessary, but I believe it might :-)
@d00p

This comment has been minimized.

Member

d00p commented Nov 4, 2018

didn't see anything till right now where php-bcmath and php-zip are necessary, but I believe it might :-)

bcmath is optional and for traffic calculation.
php-zip is for auto-update

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment